# Linux 内核模块编程指南

本项目可以看作为[lkmpg](https://github.com/sysprog21/lkmpg)项目的中文译本, 但并添加了部分译者注, 需要注意的是此项目和原版在使用的中央处理器架构上有所不同, 原版是使用的主流X86架构, 本版本会将部分涉及到架构相关的内容修改为龙架构，目前本译本已支持到 6.9.x 版本的内核, 相关[示例](示例/)。

原作者与本书的一些介绍和致谢说明请看[引言](./引言.md)

本书是由寻觅(樊旭东)翻译为中文

本项目原版是使用TeXLie格式编写, 在译者对此格式较为陌生, 已改为更为主流的 `markdown` 格式重写

## 开始使用

在线文档: http://223.76.216.188:50201/books/linux/chapter/6c4b7

> 目录:
> * [0 准备工作](文档/00-准备工作.md)
> * [1 编写驱动](文档/01-编写驱动.md)
> * [2 驱动相关文件](文档/02-驱动相关文件.md)
> * [3 ioctl](文档/03-ioctl.md)
> * [4 系统调用](文档/04-系统调用.md)
> * [5 阻塞进程和线程](文档/05-阻塞进程和线程.md)
> * [6 内核模块的锁](文档/06-内核模块的锁.md)
> * [7 驱动与用户交互](文档/07-驱动与用户交互.md)
> * [8 调度与中断](文档/08-调度与中断.md)
> * [9 设备驱动](文档/09-设备驱动.md)
> * [10 优化与常见问题](文档/10-优化与常见问题.md)

