/*
 * hello-1.c - 最简单的内核模块
 */
#include <linux/module.h> /* 内核模块必要的头 */
#include <linux/printk.h> /* 引入 pr_info() */

int init_module(void)
{
    pr_info("你好,世界 1(报错返回).\n");

    /* 非0返回意味着init_module失败; 无法加载模块 */
    return 1;
}

void cleanup_module(void)
{
    pr_info("再见,世界 1.\n");
}

MODULE_LICENSE("GPL");

