#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <string.h>

int main() {
	char procName[256];
	strcpy(procName, "/proc/buffer2k");
    int fd = open(procName, O_RDONLY);
    if (fd < 0) {
        perror("open");
        return 1;
    }

    char buffer[256];
    ssize_t bytesRead = read(fd, buffer, sizeof(buffer) - 1);
    if (bytesRead < 0) {
        perror("read");
        close(fd);
        return 1;
    }

    int seconds = 30;
	buffer[bytesRead] = '\0'; 
    printf("%s 内容: %s \n", procName, buffer, seconds);
	
    while (seconds > 0) {
        printf("\r文件将在: %d 秒后关闭", seconds);
        fflush(stdout);
		sleep(1); 
        seconds--;
    }

    close(fd);
	printf("\r文件已关闭");
    return 0;
}
